std::poisson_distribution< _IntType >(3cxx)

NAME
std::poisson_distribution< _IntType > - A discrete Poisson random number distribution.

SYNOPSIS

  Classes

struct param_type

  Public Types

typedef _IntType result_type

  Public Member Functions

poisson_distribution (const param_type &__p)
poisson_distribution (double __mean=1.0)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator > void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator > void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator > void __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
result_type max () const
Returns the least upper bound value of the distribution.
double mean () const
Returns the distribution parameter mean.
result_type min () const
Returns the greatest lower bound value of the distribution.
template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng)
Generating functions.
template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type param () const
Returns the parameter set of the distribution.
void param (const param_type &__param)
Sets the parameter set of the distribution.
void reset ()
Resets the distribution state.

  Friends

template<typename _IntType1 , typename _CharT , typename _Traits > std::basic_ostream< _CharT, _Traits > & operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::poisson_distribution< _IntType1 > &__x)
Inserts a poisson_distribution random number distribution __x into the output stream __os.
bool operator== (const poisson_distribution &__d1, const poisson_distribution &__d2)
Return true if two Poisson distributions have the same parameters and the sequences that would be generated are equal.
template<typename _IntType1 , typename _CharT , typename _Traits > std::basic_istream< _CharT, _Traits > & operator>> (std::basic_istream< _CharT, _Traits > &__is, std::poisson_distribution< _IntType1 > &__x)
Extracts a poisson_distribution random number distribution __x from the input stream __is.

Detailed Description

  template<typename _IntType = int>
class std::poisson_distribution< _IntType >" A discrete Poisson random number distribution.

The formula for the Poisson probability density function is $p(i|) = ac{^i}{i!} e^{-}$ where $$ is the parameter of the distribution.

Definition at line 4330 of file random.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.